Package: io.vertx.groovy.core.file

## [Groovy] Class FileSystem

- io.vertx.groovy.core.file.FileSystem

- Contains a broad set of operations for manipulating files on the file system.

  A (potential) blocking and non blocking version of each operation is provided.

  The non blocking versions take a handler which is called when the operation completes or an error occurs.

  The blocking versions are named `xxxBlocking` and return the results, or throw exceptions directly. In many cases, depending on the operating system and file system some of the potentially blocking operations can return quickly, which is why we provide them, but it's highly recommended that you test how long they take to return in your particular application before using them on an event loop.

  Please consult the documentation for more information on file system support.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileSystem (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileSystem` | `chmod(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Change the permissions on the file represented by `path` to `perms`, asynchronously.
    `FileSystem` | `chmodBlocking(java.lang.String path, java.lang.String perms)` Blocking version of #chmod(String, String, Handler)
    `FileSystem` | `chmodRecursive(java.lang.String path, java.lang.String perms, java.lang.String dirPerms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Change the permissions on the file represented by `path` to `perms`, asynchronously.
    `FileSystem` | `chmodRecursiveBlocking(java.lang.String path, java.lang.String perms, java.lang.String dirPerms)` Blocking version of FileSystem.chmodRecursive
    `FileSystem` | `chown(java.lang.String path, java.lang.String user, java.lang.String group, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Change the ownership on the file represented by `path` to `user` and {code group}, asynchronously.
    `FileSystem` | `chownBlocking(java.lang.String path, java.lang.String user, java.lang.String group)` Blocking version of
    `FileSystem` | `copy(java.lang.String from, java.lang.String to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Copy a file from the path `from` to path `to`, asynchronously.
    `FileSystem` | `copyBlocking(java.lang.String from, java.lang.String to)` Blocking version of FileSystem.copy
    `FileSystem` | `copyRecursive(java.lang.String from, java.lang.String to, boolean recursive, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Copy a file from the path `from` to path `to`, asynchronously.
    `FileSystem` | `copyRecursiveBlocking(java.lang.String from, java.lang.String to, boolean recursive)` Blocking version of FileSystem.copyRecursive
    `FileSystem` | `createFile(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Creates an empty file with the specified `path`, asynchronously.
    `FileSystem` | `createFile(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Creates an empty file with the specified `path` and permissions `perms`, asynchronously.
    `FileSystem` | `createFileBlocking(java.lang.String path)` Blocking version of FileSystem.createFile
    `FileSystem` | `createFileBlocking(java.lang.String path, java.lang.String perms)` Blocking version of FileSystem.createFile
    `FileSystem` | `delete(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Deletes the file represented by the specified `path`, asynchronously.
    `FileSystem` | `deleteBlocking(java.lang.String path)` Blocking version of FileSystem.delete
    `FileSystem` | `deleteRecursive(java.lang.String path, boolean recursive, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Deletes the file represented by the specified `path`, asynchronously.
    `FileSystem` | `deleteRecursiveBlocking(java.lang.String path, boolean recursive)` Blocking version of FileSystem.deleteRecursive
    `FileSystem` | `exists(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>> handler)` Determines whether the file as specified by the path `path` exists, asynchronously.
    `boolean` | `existsBlocking(java.lang.String path)` Blocking version of FileSystem.exists
    `FileSystem` | `fsProps(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileSystemProps>> handler)` Returns properties of the file-system being used by the specified `path`, asynchronously.
    `FileSystemProps` | `fsPropsBlocking(java.lang.String path)` Blocking version of FileSystem.fsProps
    `java.lang.Object` | `getDelegate()`
    `FileSystem` | `link(java.lang.String link, java.lang.String existing, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create a hard link on the file system from `link` to `existing`, asynchronously.
    `FileSystem` | `linkBlocking(java.lang.String link, java.lang.String existing)` Blocking version of FileSystem.link
    `FileSystem` | `lprops(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileProps>> handler)` Obtain properties for the link represented by `path`, asynchronously.
    `FileProps` | `lpropsBlocking(java.lang.String path)` Blocking version of FileSystem.lprops
    `FileSystem` | `mkdir(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create the directory represented by `path`, asynchronously.
    `FileSystem` | `mkdir(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create the directory represented by `path`, asynchronously.
    `FileSystem` | `mkdirBlocking(java.lang.String path)` Blocking version of FileSystem.mkdir
    `FileSystem` | `mkdirBlocking(java.lang.String path, java.lang.String perms)` Blocking version of FileSystem.mkdir
    `FileSystem` | `mkdirs(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create the directory represented by `path` and any non existent parents, asynchronously.
    `FileSystem` | `mkdirs(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create the directory represented by `path` and any non existent parents, asynchronously.
    `FileSystem` | `mkdirsBlocking(java.lang.String path)` Blocking version of FileSystem.mkdirs
    `FileSystem` | `mkdirsBlocking(java.lang.String path, java.lang.String perms)` Blocking version of FileSystem.mkdirs
    `FileSystem` | `move(java.lang.String from, java.lang.String to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Move a file from the path `from` to path `to`, asynchronously.
    `FileSystem` | `moveBlocking(java.lang.String from, java.lang.String to)` Blocking version of FileSystem.move
    `FileSystem` | `open(java.lang.String path, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<AsyncFile>> handler)` Open the file represented by `path`, asynchronously.
    `AsyncFile` | `openBlocking(java.lang.String path, java.util.Map<java.lang.String, java.lang.Object> options)` Blocking version of FileSystem.open
    `FileSystem` | `props(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileProps>> handler)` Obtain properties for the file represented by `path`, asynchronously.
    `FileProps` | `propsBlocking(java.lang.String path)` Blocking version of FileSystem.props
    `FileSystem` | `readDir(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.String>>> handler)` Read the contents of the directory specified by `path`, asynchronously.
    `FileSystem` | `readDir(java.lang.String path, java.lang.String filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.String>>> handler)` Read the contents of the directory specified by `path`, asynchronously.
    `java.util.List<java.lang.String>` | `readDirBlocking(java.lang.String path)` Blocking version of FileSystem.readDir
    `java.util.List<java.lang.String>` | `readDirBlocking(java.lang.String path, java.lang.String filter)` Blocking version of FileSystem.readDir
    `FileSystem` | `readFile(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<Buffer>> handler)` Reads the entire file as represented by the path `path` as a , asynchronously.
    `Buffer` | `readFileBlocking(java.lang.String path)` Blocking version of FileSystem.readFile
    `FileSystem` | `readSymlink(java.lang.String link, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Returns the path representing the file that the symbolic link specified by `link` points to, asynchronously.
    `java.lang.String` | `readSymlinkBlocking(java.lang.String link)` Blocking version of FileSystem.readSymlink
    `FileSystem` | `symlink(java.lang.String link, java.lang.String existing, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Create a symbolic link on the file system from `link` to `existing`, asynchronously.
    `FileSystem` | `symlinkBlocking(java.lang.String link, java.lang.String existing)` Blocking version of FileSystem.link
    `FileSystem` | `truncate(java.lang.String path, long len, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Truncate the file represented by `path` to length `len` in bytes, asynchronously.
    `FileSystem` | `truncateBlocking(java.lang.String path, long len)` Blocking version of FileSystem.truncate
    `FileSystem` | `unlink(java.lang.String link, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Unlinks the link on the file system represented by the path `link`, asynchronously.
    `FileSystem` | `unlinkBlocking(java.lang.String link)` Blocking version of FileSystem.unlink
    `FileSystem` | `writeFile(java.lang.String path, Buffer data, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Creates the file, and writes the specified `Buffer data` to the file represented by the path `path`, asynchronously.
    `FileSystem` | `writeFileBlocking(java.lang.String path, Buffer data)` Blocking version of FileSystem.writeFile

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### FileSystem(java.lang.Object delegate)

  - ### Method Detail

    - #### FileSystem chmod(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Change the permissions on the file represented by `path` to `perms`, asynchronously.

      The permission String takes the form rwxr-x--- as specified here.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `perms` - the permissions string
        `handler` - the handler that will be called on completion

    - #### FileSystem chmodBlocking(java.lang.String path, java.lang.String perms)

      Blocking version of #chmod(String, String, Handler)

      Returns:
      Parameters:
        path
        perms

    - #### FileSystem chmodRecursive(java.lang.String path, java.lang.String perms, java.lang.String dirPerms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Change the permissions on the file represented by `path` to `perms`, asynchronously.

      The permission String takes the form rwxr-x--- as specified in {here}.

      If the file is directory then all contents will also have their permissions changed recursively. Any directory permissions will be set to `dirPerms`, whilst any normal file permissions will be set to `perms`.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `perms` - the permissions string
        `dirPerms` - the directory permissions
        `handler` - the handler that will be called on completion

    - #### FileSystem chmodRecursiveBlocking(java.lang.String path, java.lang.String perms, java.lang.String dirPerms)

      Blocking version of FileSystem.chmodRecursive

      Returns:
      Parameters:
        path
        perms
        dirPerms

    - #### FileSystem chown(java.lang.String path, java.lang.String user, java.lang.String group, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Change the ownership on the file represented by `path` to `user` and {code group}, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `user` - the user name, `null` will not change the user name
        `group` - the user group, `null` will not change the user group name
        `handler` - the handler that will be called on completion

    - #### FileSystem chownBlocking(java.lang.String path, java.lang.String user, java.lang.String group)

      Blocking version of

      Returns:
      Parameters:
        path
        user
        group

    - #### FileSystem copy(java.lang.String from, java.lang.String to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Copy a file from the path `from` to path `to`, asynchronously.

      The copy will fail if the destination already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `from` - the path to copy from
        `to` - the path to copy to
        `handler` - the handler that will be called on completion

    - #### FileSystem copyBlocking(java.lang.String from, java.lang.String to)

      Blocking version of FileSystem.copy

      Returns:
      Parameters:
        from
        to

    - #### FileSystem copyRecursive(java.lang.String from, java.lang.String to, boolean recursive, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Copy a file from the path `from` to path `to`, asynchronously.

      If `recursive` is `true` and `from` represents a directory, then the directory and its contents will be copied recursively to the destination `to`.

      The copy will fail if the destination if the destination already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `from` - the path to copy from
        `to` - the path to copy to
        recursive
        `handler` - the handler that will be called on completion

    - #### FileSystem copyRecursiveBlocking(java.lang.String from, java.lang.String to, boolean recursive)

      Blocking version of FileSystem.copyRecursive

      Returns:
      Parameters:
        from
        to
        recursive

    - #### FileSystem createFile(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Creates an empty file with the specified `path`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### FileSystem createFile(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Creates an empty file with the specified `path` and permissions `perms`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `perms` - the permissions string
        `handler` - the handler that will be called on completion

    - #### FileSystem createFileBlocking(java.lang.String path)

      Blocking version of FileSystem.createFile

      Returns:
      Parameters:
        path

    - #### FileSystem createFileBlocking(java.lang.String path, java.lang.String perms)

      Blocking version of FileSystem.createFile

      Returns:
      Parameters:
        path
        perms

    - #### FileSystem delete(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Deletes the file represented by the specified `path`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### FileSystem deleteBlocking(java.lang.String path)

      Blocking version of FileSystem.delete

      Returns:
      Parameters:
        path

    - #### FileSystem deleteRecursive(java.lang.String path, boolean recursive, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Deletes the file represented by the specified `path`, asynchronously.

      If the path represents a directory and `recursive = true` then the directory and its contents will be deleted recursively.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `recursive` - delete recursively?
        `handler` - the handler that will be called on completion

    - #### FileSystem deleteRecursiveBlocking(java.lang.String path, boolean recursive)

      Blocking version of FileSystem.deleteRecursive

      Returns:
      Parameters:
        path
        recursive

    - #### FileSystem exists(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>> handler)

      Determines whether the file as specified by the path `path` exists, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### boolean existsBlocking(java.lang.String path)

      Blocking version of FileSystem.exists

      Returns:
      Parameters:
        path

    - #### FileSystem fsProps(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileSystemProps>> handler)

      Returns properties of the file-system being used by the specified `path`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to anywhere on the filesystem
        `handler` - the handler that will be called on completion

    - #### FileSystemProps fsPropsBlocking(java.lang.String path)

      Blocking version of FileSystem.fsProps

      Returns:
      Parameters:
        path

    - #### java.lang.Object getDelegate()

    - #### FileSystem link(java.lang.String link, java.lang.String existing, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create a hard link on the file system from `link` to `existing`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `link` - the link
        `existing` - the link destination
        `handler` - the handler that will be called on completion

    - #### FileSystem linkBlocking(java.lang.String link, java.lang.String existing)

      Blocking version of FileSystem.link

      Returns:
      Parameters:
        link
        existing

    - #### FileSystem lprops(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileProps>> handler)

      Obtain properties for the link represented by `path`, asynchronously.

      The link will not be followed.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `handler` - the handler that will be called on completion

    - #### FileProps lpropsBlocking(java.lang.String path)

      Blocking version of FileSystem.lprops

      Returns:
      Parameters:
        path

    - #### FileSystem mkdir(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create the directory represented by `path`, asynchronously.

      The operation will fail if the directory already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### FileSystem mkdir(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create the directory represented by `path`, asynchronously.

      The new directory will be created with permissions as specified by `perms`.

      The permission String takes the form rwxr-x--- as specified in here.

      The operation will fail if the directory already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `perms` - the permissions string
        `handler` - the handler that will be called on completion

    - #### FileSystem mkdirBlocking(java.lang.String path)

      Blocking version of FileSystem.mkdir

      Returns:
      Parameters:
        path

    - #### FileSystem mkdirBlocking(java.lang.String path, java.lang.String perms)

      Blocking version of FileSystem.mkdir

      Returns:
      Parameters:
        path
        perms

    - #### FileSystem mkdirs(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create the directory represented by `path` and any non existent parents, asynchronously.

      The operation will fail if the directory already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### FileSystem mkdirs(java.lang.String path, java.lang.String perms, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create the directory represented by `path` and any non existent parents, asynchronously.

      The new directory will be created with permissions as specified by `perms`.

      The permission String takes the form rwxr-x--- as specified in here.

      The operation will fail if the directory already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `perms` - the permissions string
        `handler` - the handler that will be called on completion

    - #### FileSystem mkdirsBlocking(java.lang.String path)

      Blocking version of FileSystem.mkdirs

      Returns:
      Parameters:
        path

    - #### FileSystem mkdirsBlocking(java.lang.String path, java.lang.String perms)

      Blocking version of FileSystem.mkdirs

      Returns:
      Parameters:
        path
        perms

    - #### FileSystem move(java.lang.String from, java.lang.String to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Move a file from the path `from` to path `to`, asynchronously.

      The move will fail if the destination already exists.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `from` - the path to copy from
        `to` - the path to copy to
        `handler` - the handler that will be called on completion

    - #### FileSystem moveBlocking(java.lang.String from, java.lang.String to)

      Blocking version of FileSystem.move

      Returns:
      Parameters:
        from
        to

    - #### FileSystem open(java.lang.String path, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<AsyncFile>> handler)

      Open the file represented by `path`, asynchronously.

      The file is opened for both reading and writing. If the file does not already exist it will be created.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `options` - options describing how the file should be opened (see OpenOptions)
        handler

    - #### AsyncFile openBlocking(java.lang.String path, java.util.Map<java.lang.String, java.lang.Object> options)

      Blocking version of FileSystem.open

      Returns:
      Parameters:
        path
        `options` - (see OpenOptions)

    - #### FileSystem props(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<FileProps>> handler)

      Obtain properties for the file represented by `path`, asynchronously.

      If the file is a link, the link will be followed.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `handler` - the handler that will be called on completion

    - #### FileProps propsBlocking(java.lang.String path)

      Blocking version of FileSystem.props

      Returns:
      Parameters:
        path

    - #### FileSystem readDir(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.String>>> handler)

      Read the contents of the directory specified by `path`, asynchronously.

      The result is an array of String representing the paths of the files inside the directory.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### FileSystem readDir(java.lang.String path, java.lang.String filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.String>>> handler)

      Read the contents of the directory specified by `path`, asynchronously.

      The parameter `filter` is a regular expression. If `filter` is specified then only the paths that match @{filter}will be returned.

      The result is an array of String representing the paths of the files inside the directory.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the directory
        `filter` - the filter expression
        `handler` - the handler that will be called on completion

    - #### java.util.List<java.lang.String> readDirBlocking(java.lang.String path)

      Blocking version of FileSystem.readDir

      Returns:
      Parameters:
        path

    - #### java.util.List<java.lang.String> readDirBlocking(java.lang.String path, java.lang.String filter)

      Blocking version of FileSystem.readDir

      Returns:
      Parameters:
        path
        filter

    - #### FileSystem readFile(java.lang.String path, io.vertx.core.Handler<io.vertx.core.AsyncResult<Buffer>> handler)

      Reads the entire file as represented by the path `path` as a , asynchronously.

      Do not user this method to read very large files or you risk running out of available RAM.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        `handler` - the handler that will be called on completion

    - #### Buffer readFileBlocking(java.lang.String path)

      Blocking version of FileSystem.readFile

      Returns:
      Parameters:
        path

    - #### FileSystem readSymlink(java.lang.String link, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Returns the path representing the file that the symbolic link specified by `link` points to, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `link` - the link
        `handler` - the handler that will be called on completion

    - #### java.lang.String readSymlinkBlocking(java.lang.String link)

      Blocking version of FileSystem.readSymlink

      Returns:
      Parameters:
        link

    - #### FileSystem symlink(java.lang.String link, java.lang.String existing, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Create a symbolic link on the file system from `link` to `existing`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `link` - the link
        `existing` - the link destination
        `handler` - the handler that will be called on completion

    - #### FileSystem symlinkBlocking(java.lang.String link, java.lang.String existing)

      Blocking version of FileSystem.link

      Returns:
      Parameters:
        link
        existing

    - #### FileSystem truncate(java.lang.String path, long len, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Truncate the file represented by `path` to length `len` in bytes, asynchronously.

      The operation will fail if the file does not exist or `len` is less than `zero`.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - the path to the file
        `len` - the length to truncate it to
        `handler` - the handler that will be called on completion

    - #### FileSystem truncateBlocking(java.lang.String path, long len)

      Blocking version of FileSystem.truncate

      Returns:
      Parameters:
        path
        len

    - #### FileSystem unlink(java.lang.String link, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Unlinks the link on the file system represented by the path `link`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `link` - the link
        `handler` - the handler that will be called on completion

    - #### FileSystem unlinkBlocking(java.lang.String link)

      Blocking version of FileSystem.unlink

      Returns:
      Parameters:
        link

    - #### FileSystem writeFile(java.lang.String path, Buffer data, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Creates the file, and writes the specified `Buffer data` to the file represented by the path `path`, asynchronously.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `path` - path to the file
        data
        `handler` - the handler that will be called on completion

    - #### FileSystem writeFileBlocking(java.lang.String path, Buffer data)

      Blocking version of FileSystem.writeFile

      Returns:
      Parameters:
        path
        data